curl -X GET "https://api.affonso.io/v1/program/creatives?category=banner&limit=10" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "creative_abc123",
"name": "Summer Sale Banner",
"description": "728x90 leaderboard banner for summer promotion",
"category": "banner",
"subcategory": "leaderboard",
"url": "https://cdn.acme.com/banners/summer-728x90.png",
"content": null,
"tags": ["summer", "sale", "leaderboard"],
"dimensions": { "width": 728, "height": 90 },
"usage_notes": "Use on blog sidebars and headers",
"restrictions": null,
"created_at": "2024-05-01T10:00:00.000Z",
"updated_at": "2024-05-01T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false
}
}
Creatives
List Creatives
Get a paginated list of creatives for your program
GET
/
v1
/
program
/
creatives
curl -X GET "https://api.affonso.io/v1/program/creatives?category=banner&limit=10" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "creative_abc123",
"name": "Summer Sale Banner",
"description": "728x90 leaderboard banner for summer promotion",
"category": "banner",
"subcategory": "leaderboard",
"url": "https://cdn.acme.com/banners/summer-728x90.png",
"content": null,
"tags": ["summer", "sale", "leaderboard"],
"dimensions": { "width": 728, "height": 90 },
"usage_notes": "Use on blog sidebars and headers",
"restrictions": null,
"created_at": "2024-05-01T10:00:00.000Z",
"updated_at": "2024-05-01T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false
}
}
Retrieve a paginated list of creative assets (banners, logos, videos, etc.) for your program. Optionally filter by category.
Query Parameters
Response
Array of creative objects.
Show Creative Object Properties
Show Creative Object Properties
curl -X GET "https://api.affonso.io/v1/program/creatives?category=banner&limit=10" \
-H "Authorization: Bearer sk_live_your_api_key"
{
"success": true,
"data": [
{
"id": "creative_abc123",
"name": "Summer Sale Banner",
"description": "728x90 leaderboard banner for summer promotion",
"category": "banner",
"subcategory": "leaderboard",
"url": "https://cdn.acme.com/banners/summer-728x90.png",
"content": null,
"tags": ["summer", "sale", "leaderboard"],
"dimensions": { "width": 728, "height": 90 },
"usage_notes": "Use on blog sidebars and headers",
"restrictions": null,
"created_at": "2024-05-01T10:00:00.000Z",
"updated_at": "2024-05-01T10:00:00.000Z"
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 1,
"totalPages": 1,
"hasNextPage": false,
"hasPrevPage": false
}
}
Was this page helpful?
